import * as React from 'react';
import { DataClient } from './types';
/**
 * Implementation details note:
 * DataProvider is expected to NEVER re-render. react-isomorphic-data implement a subscriber pattern where
 * each hooks force an update for each component separately, instead of relying on React to automatically
 * re-renders when the DataClient.cache is updated.
 *
 * All update to the DataClient.cache is done in-place (not creating a new object everytime),
 * and the useCacheSubscription hook handle the force updates for each components.
 */
interface DataProviderProps {
    children: JSX.Element[] | JSX.Element;
    client: DataClient;
}
declare const DataProvider: React.FC<DataProviderProps>;
export default DataProvider;
