import * as React from 'react';
import { DataClient } from '../../common';
import { DataHookState } from '../types';
export declare const LoadingSymbol: unique symbol;
/**
 * Create a subscription for the `string` key in the DataClient.cache
 */
declare const useCacheSubscription: (key: string, lazy: boolean, skip: boolean) => {
    client: DataClient;
    addToCache: (key: string, value: any) => void;
    addToBePrefetched: (url: string) => void;
    retrieveFromCache: (url: string) => any;
    dataFromCache: any;
    dataHookState: DataHookState;
    setDataHookState: React.Dispatch<React.SetStateAction<DataHookState>>;
    fetcher: (input: RequestInfo, init?: RequestInit | undefined) => Promise<any>;
};
export default useCacheSubscription;
